# Uses of Class
javafx.scene.layout.BackgroundFill

Packages that use BackgroundFill
Package
Description
javafx.scene.layout
Provides classes to support user interface layout.

## Uses of BackgroundFill in javafx.scene.layout

Methods in javafx.scene.layout that return types with arguments of type BackgroundFill
Modifier and Type
Method
Description
`final List<BackgroundFill>`
Background.`getFills()`
The list of BackgroundFills which together define the filled portion of this Background.
Constructors in javafx.scene.layout with parameters of type BackgroundFill
Modifier
Constructor
Description
``
`Background(BackgroundFill... fills)`
Create a new Background by supplying an array of BackgroundFills.
``
`Background(BackgroundFill[] fills, BackgroundImage[] images)`
Create a new Background by supplying two arrays, one for background fills, and one for background images.
Constructor parameters in javafx.scene.layout with type arguments of type BackgroundFill
Modifier
Constructor
Description
``
`Background(List<BackgroundFill> fills, List<BackgroundImage> images)`
Create a new Background supply two Lists, one for background fills and one for background images.